summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Alexander Bruy2012-12-09 21:30:32 +0100
committer dsomero2012-12-11 22:23:04 +0100
commit4df299d1db626fa96330189a5bd55805b91d8c27 (patch)
tree147014b6e4943cf5312937a5e8857cde2852cc83 /graphics
parentab23152f318684408f6dee2057d7fd9be60ac113 (diff)
downloadslackbuilds-4df299d1db626fa96330189a5bd55805b91d8c27.tar.gz
graphics/osgEarth: Added (Terrain rendering toolkit).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/osgEarth/README6
-rw-r--r--graphics/osgEarth/osgEarth.SlackBuild99
-rw-r--r--graphics/osgEarth/osgEarth.info10
-rw-r--r--graphics/osgEarth/slack-desc19
4 files changed, 134 insertions, 0 deletions
diff --git a/graphics/osgEarth/README b/graphics/osgEarth/README
new file mode 100644
index 0000000000..cd087079f6
--- /dev/null
+++ b/graphics/osgEarth/README
@@ -0,0 +1,6 @@
+osgEarth is a C++ terrain rendering toolkit. Just create a simple XML file,
+point it at your imagery, elevation, and vector data, load it into your favorite
+OpenSceneGraph application, and go!
+
+osgEarth supports all kinds of data and comes with lots of examples to help you
+get up and running quickly and easily.
diff --git a/graphics/osgEarth/osgEarth.SlackBuild b/graphics/osgEarth/osgEarth.SlackBuild
new file mode 100644
index 0000000000..242e840812
--- /dev/null
+++ b/graphics/osgEarth/osgEarth.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for osgEarth
+
+# Copyright 2012 Alexander Bruy <alexander.bruy@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=osgEarth
+TARBALLNAME=osgearth-osgearth
+VERSION=${VERSION:-2.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $TARBALLNAME-$VERSION
+tar xvf $CWD/$TARBALLNAME-$VERSION.tar.gz
+cd $TARBALLNAME-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DCMAKE_BUILD_TYPE=Release .. \
+ -DDYNAMIC_OSGEARTH=ON
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE.txt README.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/osgEarth/osgEarth.info b/graphics/osgEarth/osgEarth.info
new file mode 100644
index 0000000000..da7576e05e
--- /dev/null
+++ b/graphics/osgEarth/osgEarth.info
@@ -0,0 +1,10 @@
+PRGNAM="osgEarth"
+VERSION="2.3"
+HOMEPAGE="http://osgearth.org/"
+DOWNLOAD="https://github.com/gwaldron/osgearth/archive/osgearth-2.3.tar.gz"
+MD5SUM="886f79b6ed4d9453cbccaad32ae7e995"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="OpenSceneGraph gdal"
+MAINTAINER="Alexander Bruy"
+EMAIL="alexander.bruy@gmail.com"
diff --git a/graphics/osgEarth/slack-desc b/graphics/osgEarth/slack-desc
new file mode 100644
index 0000000000..c03015b704
--- /dev/null
+++ b/graphics/osgEarth/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+osgEarth: osgEarth (Terrain rendering toolkit)
+osgEarth:
+osgEarth: osgEarth is a C++ terrain rendering toolkit. Just create a simple XML
+osgEarth: file, point it at your imagery, elevation, and vector data, load it
+osgEarth: into your favorite OpenSceneGraph application, and go!
+osgEarth: osgEarth supports all kinds of data and comes with lots of examples
+osgEarth: to help you get up and running quickly and easily.
+osgEarth:
+osgEarth: Project homepage: http://osgearth.org/
+osgEarth:
+osgEarth: